# [0ptX](http://www.0ptX.de)

### A tool that supports you in finding optimal decisions

The main program of this package - named *0ptX* - is able to find solutions for optimization problems which have been formulated as [*opt*](http://www.0ptX.de/manual#opt-format)-files. 

In order to start the solution process, you have to call *0ptX* like that:

```
$ 0ptX --verb=2 problem.opt
```

You can see all possible commandline parameters by calling *0ptX* without any arguments:

```
$ 0ptX
```
 
 A short description of the parameters is also available:

```
$ 0ptX --help=1
```

When *0ptX* finds solutions they are usually encrypted. In order to decrypt these, you have to obtain a [license](http://www.0ptX.de/license) and a decryption contingent, so that you can view the solutions using the command:

```
$ sol problem.opt
```

It is strongly recommended to read through the [online manual](http://www.0ptX.de/manual) in order to get more insights. Currently the manual is only available in german - an english version will follow soon.

## Optx Preparation # TODO: update doc

![prep-function.png](ref%2Fimg%2Fprep-function.png)

![prep-usage1.png](ref%2Fimg%2Fprep-usage1.png)

![prep-usage2.png](ref%2Fimg%2Fprep-usage2.png)

![prep-usage3.png](ref%2Fimg%2Fprep-usage3.png)

![prep-usage4.png](ref%2Fimg%2Fprep-usage4.png)

---
© BirdworX Solutions